Skip to main content

Modify Plan Order

Modify an existing trigger order (plan order) with new parameters.

HTTP Request

POST /api/v1/future/order/modify-plan-order

Request Parameters

ParameterTypeRequiredDescription
orderIdstringNoOrder ID (either orderId or clientOid required)
clientOidstringNoClient order ID (either orderId or clientOid required)
newPricestringNoNew order price
newSizestringNoNew order size
newTriggerPricestringNoNew trigger price
newTriggerPriceTypestringNoNew trigger price type: "LAST" or "MARK"
newPresetTakeProfitPricestringNoNew take profit trigger price
newPresetTakeProfitExecutePricestringNoNew take profit execution price
newPresetTakeProfitPriceTypestringNoNew take profit price type: "LIMIT" or "MARKET"
newPresetStopLossPricestringNoNew stop loss trigger price
newPresetStopLossExecutePricestringNoNew stop loss execution price
newPresetStopLossPriceTypestringNoNew stop loss price type: "LIMIT" or "MARKET"

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/future/order/modify-plan-order" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"orderId": "fu-plan-123456789",
"clientOid": "my-plan-order-001",
"newPrice": "38800.00",
"newSize": "0.6",
"newTriggerPrice": "39100.00",
"newTriggerPriceType": "LAST",
"newPresetTakeProfitPrice": "42500.00",
"newPresetTakeProfitExecutePrice": "42500.00",
"newPresetTakeProfitPriceType": "LIMIT",
"newPresetStopLossPrice": "36500.00",
"newPresetStopLossExecutePrice": "36500.00",
"newPresetStopLossPriceType": "LIMIT"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectOrder response data
> orderIdstringModified order ID
> clientOidstringClient order ID

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"orderId": "fu-plan-123456790",
"clientOid": "my-plan-order-001"
}
}

Error Codes

CodeMessage
40001New size, price, preset take profit price, or preset stop loss price is required
40001Invalid new Order price
40001Order price decimal precision is too high
40001New Size is too large
40001New Size is too small
40001New Size decimal precision is too high
40001Invalid new Trigger price
40001Trigger price decimal precision is too high
40001New Take Profit price decimal precision is too high
40001New Stop Loss price decimal precision is too high
40001New Take Profit execute price decimal precision is too high
40001New Stop Loss execute price decimal precision is too high
40001Insufficient balance
40026Order ID or client order ID is required
40028Order not found